> For the complete documentation index, see [llms.txt](https://docs.duplocloud.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.duplocloud.com/docs/automation-platform/terraform-support/duplocloud-terraform-exporter/using-generated-code.md).

# Using Generated Code

DuploCloud Terraform Exporter Utility provides scripts to create Infrastructure based on Tenant, using the [terraform generated code](/docs/automation-platform/terraform-support/duplocloud-terraform-exporter/generate-terraform.md). Executing the scripts creates Tenant, Services, and Applications. These resources can be viewed in DuploCloud Portal.

{% hint style="info" %}
Follow the sequence based on the Project (`admin-tenant`, `aws-services` and `app).`

Perform **plan** and **apply** actions in one project prior to switching another project.
{% endhint %}

Export following environment variables in the shell while running the terraform projects.

Environment Details can be found [here](/docs/automation-platform/terraform-support/duplocloud-terraform-exporter/install-terraform-exporter.md#need-help-in-setting-environment-variables).

```bash
export AWS_RUNNER=duplo-admin
export duplo_host="<portal url>"
export duplo_token="<token>" 
export aws_account_id="<AWS account id>"
```

### Project: admin-tenant

This project manages the creation of DuploCloud tenant and resources related to the tenant.

Execute Script in this sequence:

> cd target/customer-name/tenant-name

**Dry-Run and Review**

> scripts/plan.sh \<new tenant name> **admin-tenant**

**Deploy Resources**

> scripts/apply.sh \<new tenant name> **admin-tenant**

![scripts/apply,sh execution in progress](/files/KiKEqx8ilbChCEjKh943)

### Project: aws-services

This project manages data services like Redis, RDS, Kafka, S3 buckets, Cloudfront, EMR and Elastic Search inside DuploCloud.

![aws-services project apply execution](/files/YjWCYKetwqBmhldMLkX2)

### Project: app

This project manages containerized applications inside DuploCloud like EKS Services, ECS, docker native service.

![app project apply execution](/files/winYM55E0y0jcbqBmHUi)

### Delete the resources created using Utility

Follow the below Project sequence (app, aws-services and admin-tenant) while deleting the resources:

> scripts/destroy.sh \<new tenant name created above> **app**

> scripts/destroy.sh \<new tenant name created above> **aws-services**

> scripts/destroy.sh \<new tenant name created above> **admin-tenant**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.duplocloud.com/docs/automation-platform/terraform-support/duplocloud-terraform-exporter/using-generated-code.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
